Skip to navigation

List Folder items

List Folder items.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

archiveReason.anyOfstringOptional

Restricts items to those with any of the specified archive reasons. Use “NOT_ARCHIVED” to filter for unarchived items. Use “ANY_ARCHIVED” to filter for archived items regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived. Comma-separated list.

archived.anyOfbooleanOptional

If true, returns archived items. If false, returns unarchived items. If both true and false, returns archived and unarchived items. Comma-separated list.

id.anyOfstringOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

modifiedAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.

modifiedAt.gtestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or after the specified time. e.g. >= 2017-04-30.

modifiedAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. < 2017-04-30.

modifiedAt.ltestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or before the specified time. e.g. <= 2017-04-30.

name.anyOfstringOptional

Restricts results to those that match any of the specified names. Case insensitive. Warning - this filter can be non-performant due to case insensitivity. Ensure only one name filter is used at a time. Comma-separated list.

name.anyOf.caseSensitivestringOptional

Restricts results to those that match any of the specified names. Case sensitive. Ensure only one name filter is used at a time. Comma-separated list.

nextTokenstringOptional
Token for pagination
omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.
parent.eqstringOptional
ID of a folder. Restricts results to its direct children.
project.eqstringOptional
ID of a project. Restricts results to those in the project.
returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

sortenumOptionalDefaults to modifiedAt:desc

Method by which to order results. Valid sorts are: modifiedAt (modified time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.

Allowed values:

Response

OK
itemslist of objectsOptional
nextTokenstringOptional

Errors

400
Folder List Request Bad Request Error
403
Folder List Request Forbidden Error
404
Folder List Request Not Found Error
429
Folder List Request Too Many Requests Error
500
Folder List Request Internal Server Error